.TH ttcn3_logmerge 1 "January 2021" "Ericsson Telecom AB" "TTCN-3 Tools"
.SH NAME
ttcn3_logmerge \- TTCN-3 log file merge utility
.SH SYNOPSIS
.B ttcn3_logmerge
.RB "[\| " \-o
.IR "outfile" " \|]"
.IR file.log " ..."
.br
or
.br
.B ttcn3_logmerge
.B \-v
.SH DESCRIPTION
This manual page is a quick reference for the TTCN-3 logmerge utility of
the TTCN-3 Test Executor. The 
.B ttcn3_logmerge
utility, which can be found in 
.I $TTCN3_DIR/bin,
merges all files given in the command argument into a single output file.
The output of
.B ttcn3_logmerge
is sorted based on the timestamps found in the log files.
.br
It is useful for test suites that are run in parallel mode. It can merge the
logs of different PTC into one single file based on the timestamps.
.SH OPTIONS
Available command line switches are:
.TP 10
.BI \-o " outfile"
Merges all input log files into 
.IR outfile "."
If the file outfile exists its contents will be overwritten. This switch is
optional, when omitted merged logs will be printed to standard output.
.TP
.B \-v
Prints
.I version
and license key information and exits.
.SH ENVIRONMENT VARIABLES
.TP
.SM
TTCN3_DIR
The installation directory where the uncompressed binary package of
TTCN-3 Test Executor can be found.
.TP
.SM
TTCN3_LICENSE_FILE
It shall point to the
.I file
.RB ( NB:
.I not
to its directory) that contains the personalized license key for the
current user or host.
.SH BUGS
None known at this time
.LP
.SH SEE ALSO
ttcn3_logformat(1), ttcn3_logfilter(1)
.LP
The
.B User Documentation for the TTCN-3
.B Test Executor.
.SH AUTHOR
This manpage is written by Csaba Koppany, Ericsson Telecom AB
.br
Copyright (c) 2000-2025 Ericsson Telecom AB
.br
All rights reserved. This program and the accompanying materials
are made available under the terms of the Eclipse Public License v2.0
which accompanies this distribution, and is available at
.br
https://www.eclipse.org/org/documents/epl-2.0/EPL-2.0.html
